package entity

type AdminStatus string

const (
	AdminActiveStatus   = AdminStatus("active")
	AdminInactiveStatus = AdminStatus("inactive")
)

var AdminStatusStrings = map[AdminStatus]string{
	AdminActiveStatus:   "active",
	AdminInactiveStatus: "inactive",
}

func (a AdminStatus) IsValid() bool {
	_, ok := AdminStatusStrings[a]

	return ok
}
